

drivers/net/8139too.c:1340: warning: long unsigned int format, different type arg (arg 3)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/8139too.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/net/8139too.c~8139too-resource-warning-fixes drivers/net/8139too.c
--- 25/drivers/net/8139too.c~8139too-resource-warning-fixes	2005-02-28 18:45:56.000000000 -0800
+++ 25-akpm/drivers/net/8139too.c	2005-02-28 18:46:15.000000000 -0800
@@ -1333,9 +1333,10 @@ static int rtl8139_open (struct net_devi
 	netif_start_queue (dev);
 
 	if (netif_msg_ifup(tp))
-		printk(KERN_DEBUG "%s: rtl8139_open() ioaddr %#lx IRQ %d"
+		printk(KERN_DEBUG "%s: rtl8139_open() ioaddr %#llx IRQ %d"
 			" GP Pins %2.2x %s-duplex.\n",
-			dev->name, pci_resource_start (tp->pci_dev, 1),
+			dev->name,
+			(unsigned long long)pci_resource_start (tp->pci_dev, 1),
 			dev->irq, RTL_R8 (MediaStatus),
 			tp->mii.full_duplex ? "full" : "half");
 
_
